> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tickable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> List all webhook subscriptions for your organization. Requires the `webhooks.read` scope.



## OpenAPI

````yaml get /webhooks
openapi: 3.0.0
info:
  version: 1.0.0
  title: Tickable API
  description: >-
    The Tickable API provides programmatic access to events, orders, tickets,
    and webhooks for your organization.
  contact:
    name: Tickable
    url: https://tickable.nl
servers:
  - url: https://api.tickable.io
    description: Production
security:
  - Bearer: []
tags:
  - name: Events
    description: Manage events
  - name: Tickets
    description: View tickets
  - name: Orders
    description: View orders
  - name: Webhooks
    description: Manage webhook subscriptions
  - name: User
    description: Current user information
  - name: OAuth
    description: OAuth2 authorization and token endpoints
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhooks
      description: >-
        List all webhook subscriptions for your organization. Requires the
        `webhooks.read` scope.
      operationId: listWebhooks
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            description: Max results per page (default 25, max 100)
            example: 25
          required: false
          description: Max results per page (default 25, max 100)
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            description: Number of results to skip
            example: 0
          required: false
          description: Number of results to skip
          name: offset
          in: query
        - schema:
            type: string
            description: Sort field and direction, e.g. `created_at:desc`
            example: created_at:desc
          required: false
          description: Sort field and direction, e.g. `created_at:desc`
          name: sort
          in: query
      responses:
        '200':
          description: Paginated list of webhooks
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Webhook'
                  pagination:
                    type: object
                    properties:
                      total:
                        type: number
                        example: 142
                      limit:
                        type: number
                        example: 25
                      offset:
                        type: number
                        example: 0
                      has_more:
                        type: boolean
                        example: true
                    required:
                      - total
                      - limit
                      - offset
                      - has_more
                required:
                  - data
                  - pagination
      security:
        - Bearer: []
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 7c9e6679-7425-40de-944b-e07fc1f90ae7
        url:
          type: string
          example: https://api.example.com/webhook
        event_types:
          type: array
          items:
            type: string
            enum:
              - order.created
              - order.confirmed
              - ticket.scanned
              - ticket.cancelled
          example:
            - order.created
        description:
          type: string
          nullable: true
          example: Order notifications
        created_at:
          type: string
          example: '2024-03-13T12:00:00Z'
      required:
        - id
        - url
        - event_types
        - description
        - created_at
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Pass as `Authorization: Bearer {token}`. Accepts either an OAuth2 JWT
        access token or an API key (`tk_live_...`) created from the Tickable
        dashboard.

````